Bug 785452 (Horde_Stream_Filter) - Review Request: php-horde-Horde-Stream-Filter - Horde Stream filters
Summary: Review Request: php-horde-Horde-Stream-Filter - Horde Stream filters
Keywords:
Status: CLOSED ERRATA
Alias: Horde_Stream_Filter
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: horde-channel
Blocks: Horde_Mail Horde_Mime Horde_Compress Horde_Imap_Client Horde_Crypt
TreeView+ depends on / blocked
 
Reported: 2012-01-29 01:48 UTC by Nick Bebout
Modified: 2013-03-28 18:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-27 20:29:09 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (10.35 KB, text/plain)
2013-02-06 12:26 UTC, Remi Collet
no flags Details
php-horde-Horde-Stream-Filter-review.txt (6.65 KB, text/plain)
2013-02-06 12:27 UTC, Remi Collet
no flags Details

Comment 1 Shawn Iwinski 2012-07-04 23:41:58 UTC
I will review this package

Comment 2 Shawn Iwinski 2012-07-22 04:22:19 UTC
After a quick review:

[MUST] "Requires: php-common >= 5.2.0" to satisfy package.xml

[MUST] "Requires: php-pear(PEAR) >= 1.7.0" to satisfy package.xml

[SHOULD] %check is present and all tests pass

[SHOULD] Localized php.ini not necessary (see https://bugzilla.redhat.com/show_bug.cgi?id=785471#c5)

Comment 3 Remi Collet 2012-12-20 14:06:16 UTC
Please update to 2.0.1

Comment 5 Remi Collet 2013-02-06 12:26:51 UTC
Created attachment 693892 [details]
phpci.log

Comment 6 Remi Collet 2013-02-06 12:27:43 UTC
Created attachment 693893 [details]
php-horde-Horde-Stream-Filter-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 785452

Comment 7 Remi Collet 2013-02-06 12:28:40 UTC
[!]: License field in the package spec file matches the actual license.
	LGPLv2 (not LGPLv2+)

[!]: Package must own all directories that it creates.
	must own
	%{pear_phpdir}/Horde
	%{pear_phpdir}/Horde/Stream

Just need to fix the License and dir ownership, else everything is ok.

Can you please replace my "private" email by my fp.o one ?

Comment 9 Remi Collet 2013-02-07 15:04:49 UTC
< License:        LGPLv2+
---
> License:        LGPLv2

[x]: License field in the package spec file matches the actual license.

> %{pear_phpdir}/Horde
> %{pear_phpdir}/Horde/Stream

During build 
warning: File listed twice: /usr/share/pear/Horde/Stream
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter/Bin2hex.php
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter/Bin2hex.php
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter/Crc32.php
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter/Crc32.php
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter/Eol.php
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter/Eol.php
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter/Htmlspecialchars.php
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter/Htmlspecialchars.php
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter/Null.php
warning: File listed twice: /usr/share/pear/Horde/Stream/Filter/Null.php


Use 
%dir %{pear_phpdir}/Horde
%dir %{pear_phpdir}/Horde/Stream
%{pear_phpdir}/Horde/Stream/Filter

or 
%{pear_phpdir}/Horde

Comment 11 Remi Collet 2013-03-21 15:14:25 UTC
--- php-horde-Horde-Stream-Filter.spec.1	2013-02-06 22:09:46.000000000 +0100
+++ php-horde-Horde-Stream-Filter.spec	2013-03-20 21:06:31.000000000 +0100
@@ -5,7 +5,7 @@
 
 Name:           php-horde-Horde-Stream-Filter
 Version:        2.0.1
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Horde Stream filters
 
 Group:          Development/Libraries
@@ -78,13 +78,16 @@
 %defattr(-,root,root,-)
 %doc %{pear_docdir}/%{pear_name}
 %{pear_xmldir}/%{name}.xml
-%{pear_phpdir}/Horde
-%{pear_phpdir}/Horde/Stream
+%dir %{pear_phpdir}/Horde
+%dir %{pear_phpdir}/Horde/Stream
 %{pear_phpdir}/Horde/Stream/Filter
 %{pear_testdir}/%{pear_name}
 
 
 %changelog
+* Wed Mar 20 2013 Nick Bebout <nb@fedoraproject.org> - 2.0.1-4
+- Update for review
+
 * Wed Feb 6 2013 Nick Bebout <nb@fedoraproject.org> - 2.0.1-3
 - Update for review



All issues fixed

=== APPROVED ===

Comment 12 Nick Bebout 2013-03-21 15:38:27 UTC
New Package SCM Request
=======================
Package Name: php-horde-Horde-Stream-Filter
Short Description: A collection of various stream filters for Horde
Owners: nb remi
Branches: el6 f18 f19
InitialCC:

Comment 13 Gwyn Ciesla 2013-03-21 16:19:48 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2013-03-22 00:33:43 UTC
php-horde-Horde-Db-2.0.2-1.el6, php-horde-Horde-LoginTasks-2.0.2-4.el6, php-horde-Horde-Stream-Filter-2.0.1-4.el6, php-horde-Horde-Token-2.0.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Db-2.0.2-1.el6,php-horde-Horde-LoginTasks-2.0.2-4.el6,php-horde-Horde-Stream-Filter-2.0.1-4.el6,php-horde-Horde-Token-2.0.3-3.el6

Comment 15 Fedora Update System 2013-03-22 00:37:48 UTC
php-horde-Horde-Db-2.0.2-1.fc18, php-horde-Horde-Group-2.0.2-1.fc18, php-horde-Horde-LoginTasks-2.0.2-4.fc18, php-horde-Horde-Stream-Filter-2.0.1-4.fc18, php-horde-Horde-Token-2.0.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-horde-Horde-Db-2.0.2-1.fc18,php-horde-Horde-Group-2.0.2-1.fc18,php-horde-Horde-LoginTasks-2.0.2-4.fc18,php-horde-Horde-Stream-Filter-2.0.1-4.fc18,php-horde-Horde-Token-2.0.3-3.fc18

Comment 16 Fedora Update System 2013-03-22 15:04:16 UTC
php-horde-Horde-Db-2.0.2-1.el6, php-horde-Horde-LoginTasks-2.0.2-4.el6, php-horde-Horde-Stream-Filter-2.0.1-4.el6, php-horde-Horde-Token-2.0.3-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 17 Fedora Update System 2013-03-27 20:29:20 UTC
php-horde-Horde-Db-2.0.2-1.fc18, php-horde-Horde-Group-2.0.2-1.fc18, php-horde-Horde-LoginTasks-2.0.2-4.fc18, php-horde-Horde-Stream-Filter-2.0.1-4.fc18, php-horde-Horde-Token-2.0.3-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 18 Fedora Update System 2013-03-28 18:39:42 UTC
php-horde-Horde-Db-2.0.2-1.el6, php-horde-Horde-LoginTasks-2.0.2-4.el6, php-horde-Horde-Stream-Filter-2.0.1-4.el6, php-horde-Horde-Token-2.0.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.